Bug 256038 - long comments in music id3-tags make tooltips too big
Summary: long comments in music id3-tags make tooltips too big
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Playlist (show other bugs)
Version: 2.4-GIT
Platform: Compiled Sources Linux
: NOR minor (vote)
Target Milestone: 2.4.0
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-04 11:43 UTC by Philipp Schmidt
Modified: 2011-06-05 14:23 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.4.2


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Philipp Schmidt 2010-11-04 11:43:57 UTC
Version:           2.4-GIT (using KDE 4.5.2) 
OS:                Linux

When long comments exist in music file tags showing the tooltips on small screens or with even longer comments also on big screens makes tooltip very large. Rendering also takes a long time.

Comments should therefore be excluded from the additional information shown in the tooltips or even better: A menu option to disable certain elements in the tooltips should be implemented.

Reproducible: Always




OS: Linux (i686) release 2.6.35-ARCH
Compiler: gcc
Comment 1 Kevin Funk 2011-06-05 14:23:31 UTC
Git commit d21bab506c60f39e08c5966d5cb4dea1f0949c07 by Kevin Funk.
Committed on 05/06/2011 at 14:22.
Pushed by kfunk into branch 'master'.

Fix playlist tooltip getting too tall

Might be the case if comment strings are too long.

FIXED-IN: 2.4.2
BUG: 256038

M  +1    -0    ChangeLog     
M  +18   -6    src/playlist/PlaylistModel.cpp     

http://commits.kde.org/amarok/d21bab506c60f39e08c5966d5cb4dea1f0949c07